---
updatedAt: 2026-05-27T16:52:24.000Z
agentTools:
  projectIndex: https://developer.bill.com/llms.txt
---

# Archive a credit memo

Archive an existing credit memo. In the response, the `archived` field is set as `true`.

You can restore an archived credit memo with
`POST /v3/credit-memos/{creditMemoId}/restore`. There is no change when you archive an archived credit memo.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "BILL v3 API",
    "description": "BILL is a cloud-based financial operations platform for an organization's accounts payable (AP), accounts receivable (AR), and spend & expense (S&E) automation.\n\nThe BILL v3 API gives you access to the same infrastructure that powers the AP, AR, and S&E products. In addition, you can receive real-time event notifications with webhooks.\n\nThe BILL Developer Documentation is available at [developer.bill.com](https://developer.bill.com/docs/home).\n\n## Quickstart\nSign-up and generate a developer key for working with the BILL v3 API. With this key, you can build with the AP, AR, BILL network, and webhook workflows. See [Sandbox API sign up](https://developer.bill.com/docs/api-sandbox-sign-up) for more information.\n\n### Spend & Expense API\nAn API token is required for working with the Spend & Expense API. See [Authentication with Spend & Expense API token](https://developer.bill.com/docs/authentication-with-api-token) for more information.\n\n### BILL v3 API in Postman\nWith this collection, you have access to the BILL v3 API in Postman. When you save your sandbox API credentials as environment variables in Postman, you can simply refer to the variables when you are testing with the BILL v3 API. See [BILL v3 API in Postman](https://developer.bill.com/docs/bill-v3-api-in-postman) for more information.",
    "version": "1"
  },
  "servers": [
    {
      "url": "https://gateway.stage.bill.com/connect",
      "description": "sandbox"
    }
  ],
  "paths": {
    "/v3/credit-memos/{creditMemoId}/archive": {
      "post": {
        "tags": [
          "credit-memos"
        ],
        "summary": "Archive a credit memo",
        "description": "Archive an existing credit memo. In the response, the `archived` field is set as `true`.\n\nYou can restore an archived credit memo with\n`POST /v3/credit-memos/{creditMemoId}/restore`. There is no change when you archive an archived credit memo.",
        "operationId": "archiveCreditMemo",
        "parameters": [
          {
            "name": "sessionId",
            "in": "header",
            "schema": {
              "type": "string",
              "description": "API session ID generated with `/v3/login`",
              "nullable": true,
              "example": "{{session_id}}"
            }
          },
          {
            "name": "devKey",
            "in": "header",
            "schema": {
              "type": "string",
              "description": "Developer key generated with your BILL developer account",
              "nullable": true,
              "example": "{{developer_key}}"
            }
          },
          {
            "name": "creditMemoId",
            "in": "path",
            "required": true,
            "schema": {
              "minLength": 1,
              "type": "string",
              "description": "BILL-generated ID of the credit memo. The value begins with `ccr`.",
              "example": "{{credit_memo_id}}"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Archive a credit memo response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CreditMemoResponseDto"
                }
              }
            }
          },
          "4XX": {
            "description": "List of errors.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/BdcError"
                  }
                }
              }
            }
          },
          "5XX": {
            "description": "List of errors.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/BdcError"
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "BdcError": {
        "required": [
          "category",
          "code",
          "severity",
          "timestamp"
        ],
        "type": "object",
        "properties": {
          "timestamp": {
            "type": "string",
            "format": "date-time"
          },
          "code": {
            "type": "string"
          },
          "severity": {
            "$ref": "#/components/schemas/Severity"
          },
          "category": {
            "$ref": "#/components/schemas/Category"
          },
          "message": {
            "type": "string"
          },
          "params": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Param"
            }
          },
          "detail": {
            "type": "string"
          },
          "help": {
            "type": "string"
          }
        }
      },
      "Category": {
        "type": "string",
        "enum": [
          "REQUEST",
          "APPLICATION",
          "SERVER",
          "DOWNSTREAM"
        ]
      },
      "CreditMemoLineItemResponseDto": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "BILL-generated ID of the credit memo line item. The value begins with `cci`."
          },
          "description": {
            "type": "string",
            "description": "Credit memo line item description"
          },
          "price": {
            "type": "number",
            "description": "Credit memo line item unit price. For a credit memo in an international currency (not USD), this value is in the local currency."
          },
          "quantity": {
            "type": "number",
            "description": "Credit memo line item unit quantity"
          },
          "amount": {
            "type": "number",
            "description": "Credit memo line item amount"
          },
          "ratePercent": {
            "type": "number",
            "description": "Credit memo line item rate percent"
          },
          "taxable": {
            "type": "boolean",
            "description": "Set as `true` if the credit memo line item is taxable"
          },
          "classifications": {
            "allOf": [
              {
                "$ref": "#/components/schemas/InvoiceLineItemClassificationsDto"
              },
              {
                "description": "General ledger classifications information for the credit memo line item"
              }
            ]
          }
        },
        "description": "Credit Memo Create Request Line Item."
      },
      "CreditMemoResponseDto": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "BILL-generated ID of the credit memo. The value begins with `ccr`."
          },
          "customerId": {
            "type": "string",
            "description": "BILL-generated ID of the customer. The value begins with `0cu`."
          },
          "referenceNumber": {
            "type": "string",
            "description": "User-generated credit memo number. This value can be in your chosen number scheme."
          },
          "creditDate": {
            "type": "string",
            "description": "Credit memo issued date. This value is in the `yyyy-MM-dd` format.",
            "format": "date"
          },
          "description": {
            "type": "string",
            "description": "Credit memo description"
          },
          "archived": {
            "type": "boolean",
            "description": "Set as `true` if the credit memo is archived"
          },
          "salesTaxItemId": {
            "type": "string",
            "description": "BILL-generated ID of the `SALES_TAX` item. The value begins with `0ii`. The tax rate is applied to all the credit memo line items set as taxable."
          },
          "payToChartOfAccountId": {
            "type": "string",
            "description": "BILL-generated ID of the chart of accounts used when the credit memo is applied to an invoice payment. The value begins with `0ca`."
          },
          "payToBankAccountId": {
            "type": "string",
            "description": "BILL-generated ID of the bank account used when the credit memo is applied to an invoice payment. The value begins with `bac`."
          },
          "amount": {
            "type": "number",
            "description": "Credit memo amount"
          },
          "appliedAmount": {
            "type": "number",
            "description": "Credit memo amount applied to invoices"
          },
          "salesTaxTotal": {
            "type": "number",
            "description": "Credit memo sales tax amount. The value is set based on `salesTaxItemId`."
          },
          "salesTaxPercentage": {
            "type": "number",
            "description": "Credit memo sales tax percentage. The value is set based on `salesTaxItemId`."
          },
          "status": {
            "allOf": [
              {
                "$ref": "#/components/schemas/CreditStatusDto"
              },
              {
                "description": "Credit memo status."
              }
            ]
          },
          "createdTime": {
            "type": "string",
            "description": "Credit memo created time",
            "format": "date-time"
          },
          "updatedTime": {
            "type": "string",
            "description": "Credit memo updated time",
            "format": "date-time"
          },
          "creditMemoLineItems": {
            "type": "array",
            "description": "Credit memo line item information",
            "items": {
              "$ref": "#/components/schemas/CreditMemoLineItemResponseDto"
            }
          },
          "classifications": {
            "allOf": [
              {
                "$ref": "#/components/schemas/InvoiceClassificationsDto"
              },
              {
                "description": "General ledger classifications information for the credit memo"
              }
            ]
          }
        },
        "description": "CreditMemo response Dto."
      },
      "CreditStatusDto": {
        "type": "string",
        "description": "Credit Status DTO.",
        "enum": [
          "FULLY_APPLIED",
          "NOT_APPLIED",
          "PARTIALLY_APPLIED",
          "IN_PROCESS",
          "UNDEFINED"
        ]
      },
      "InvoiceClassificationsDto": {
        "type": "object",
        "properties": {
          "accountingClassId": {
            "type": "string",
            "description": "BILL-generated ID of the accounting class. The value begins with `cls`."
          },
          "departmentId": {
            "type": "string",
            "description": "BILL-generated ID of the department. The value begins with `0de`."
          },
          "jobId": {
            "type": "string",
            "description": "BILL-generated ID of the job. The value begins with `job`."
          },
          "locationId": {
            "type": "string",
            "description": "BILL-generated ID of the location. The value begins with `loc`."
          }
        },
        "description": "DTO for Invoice classifications."
      },
      "InvoiceLineItemClassificationsDto": {
        "type": "object",
        "properties": {
          "chartOfAccountId": {
            "type": "string",
            "description": "BILL-generated ID of the chart of accounts. The value begins with `0ca`."
          },
          "accountingClassId": {
            "type": "string",
            "description": "BILL-generated ID of the accounting class. The value begins with `cls`."
          },
          "departmentId": {
            "type": "string",
            "description": "BILL-generated ID of the department. The value begins with `0de`."
          },
          "jobId": {
            "type": "string",
            "description": "BILL-generated ID of the job. The value begins with `job`."
          },
          "locationId": {
            "type": "string",
            "description": "BILL-generated ID of the location. The value begins with `loc`."
          },
          "itemId": {
            "type": "string",
            "description": "BILL-generated ID of the item. The value begins with `0ii`."
          }
        },
        "description": "DTO for Bill Line Item classifications."
      },
      "Param": {
        "required": [
          "name",
          "value"
        ],
        "type": "object",
        "properties": {
          "additional": {
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          },
          "name": {
            "minLength": 1,
            "type": "string"
          },
          "value": {
            "minLength": 1,
            "type": "string"
          }
        }
      },
      "Severity": {
        "type": "string",
        "enum": [
          "ERROR",
          "WARNING",
          "INFORMATION"
        ]
      }
    }
  }
}
```